3.10 Explain why a class might provide a set function and get function for a data member 

A class's private data members can be manipulated only by member functions of that class. So a client of an object that is, any class or function that calls the object's member functions from outside the object calls the class's public member functions to request the class's services for particular objects of the class.Classes often provide public member functions to allow clients of the class to set (i.e., assign values to) or get (i.e., obtain the values of) private data members.
Providing public set and get functions allows clients of a class to access the hidden data, but only indirectly. The client knows that it is attempting to modify or obtain an object's data, but the client does not know how the object performs these operations.
